Unserializes the storage

- « SplDoublyLinkedList::top

- SplDoublyLinkedList::unshift »

- PHP Manual
- SplDoublyLinkedList
- Unserializes the storage

# SplDoublyLinkedList::unserialize

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

SplDoublyLinkedList::unserialize — Unserializes the storage

### Description

public SplDoublyLinkedList::unserialize(string `$data`): void

Unserializes the storage, from SplDoublyLinkedList::serialize().

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`data`

  The serialized string.

### Return Values

No value is returned.

### See Also

- SplDoublyLinkedList::serialize() - Serializes the storage